<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="utf-8">
  <meta content="width=device-width, initial-scale=1.0" name="viewport">

  <title>TestML</title>
  <meta content="" name="description">
  <meta content="" name="keywords">

  <!-- Favicons -->
  <link href="assets/img/logo.png" rel="icon">
  <link href="assets/img/apple-touch-icon.png" rel="apple-touch-icon">

  <!-- Google Fonts -->
  <link href="https://fonts.googleapis.com/css?family=Open+Sans:300,300i,400,400i,600,600i,700,700i|Raleway:300,300i,400,400i,500,500i,600,600i,700,700i|Poppins:300,300i,400,400i,500,500i,600,600i,700,700i" rel="stylesheet">

  <!-- Vendor CSS Files -->
  <link href="assets/vendor/aos/aos.css" rel="stylesheet">
  <link href="assets/vendor/bootstrap/css/bootstrap.min.css" rel="stylesheet">
  <link href="assets/vendor/bootstrap-icons/bootstrap-icons.css" rel="stylesheet">
  <link href="assets/vendor/boxicons/css/boxicons.min.css" rel="stylesheet">
  <link href="assets/vendor/glightbox/css/glightbox.min.css" rel="stylesheet">
  <link href="assets/vendor/remixicon/remixicon.css" rel="stylesheet">
  <link href="assets/vendor/swiper/swiper-bundle.min.css" rel="stylesheet">

  <!-- Template Main CSS File -->
  <link href="assets/css/style.css" rel="stylesheet">

  <!-- =======================================================
  * Template Name: Gp - v4.9.1
  * Template URL: https://bootstrapmade.com/gp-free-multipurpose-html-bootstrap-template/
  * Author: BootstrapMade.com
  * License: https://bootstrapmade.com/license/
  ======================================================== -->

</head>

<body>

  <!-- ======= Header ======= -->
  <header id="header" class="fixed-top ">
    <div class="container d-flex align-items-center justify-content-lg-between">

      <h1 class="logo me-auto me-lg-0"><a href="index.html"><span>My Recommender</span></a></h1>
      <!-- Uncomment below if you prefer to use an image logo -->
      <a href="index.html" class="logo me-auto me-lg-0"><img src="assets/img/logo.png" alt="" class="img-fluid"></a>

      <nav id="navbar" class="navbar order-last order-lg-0">
        <ul>
          <li><a class="nav-link scrollto active" href="#hero">Home</a></li>
          <li><a class="nav-link scrollto" href="#about">About</a></li>
          <li><a class="nav-link scrollto" href="#documents">Documents</a></li>
          <li><a class="nav-link scrollto" href="#presentations">Presentations</a></li>
          <li><a class="nav-link scrollto" href="#milestones">Milestones</a></li>
          <li><a class="nav-link scrollto " href="#domain">Domain</a></li>
          <li><a class="nav-link scrollto" href="#team">Team</a></li>

          <!-- <li class="dropdown"><a href="#"><span>Drop Down</span> <i class="bi bi-chevron-down"></i></a>
            <ul>
              <li><a href="#">Drop Down 1</a></li>
              <li class="dropdown"><a href="#"><span>Deep Drop Down</span> <i class="bi bi-chevron-right"></i></a>
                <ul>
                  <li><a href="#">Deep Drop Down 1</a></li>
                  <li><a href="#">Deep Drop Down 2</a></li>
                  <li><a href="#">Deep Drop Down 3</a></li>
                  <li><a href="#">Deep Drop Down 4</a></li>
                  <li><a href="#">Deep Drop Down 5</a></li>
                </ul>
              </li>
              <li><a href="#">Drop Down 2</a></li>
              <li><a href="#">Drop Down 3</a></li>
              <li><a href="#">Drop Down 4</a></li>
            </ul>
          </li> -->
          <li><a class="nav-link scrollto" href="#contact">Contact</a></li>
        </ul>
        <i class="bi bi-list mobile-nav-toggle"></i>
      </nav><!-- .navbar -->

      <!-- <a href="#about" class="get-started-btn scrollto">Get Started</a> -->

    </div>
  </header><!-- End Header -->


 

  <!-- ======= Hero Section ======= -->
  <section id="hero" class="d-flex align-items-center justify-content-center">
    <div class="container" data-aos="fade-up">

      <div class="row justify-content-center" data-aos="fade-up" data-aos-delay="150">
        <div class="col-xl-6 col-lg-8">
          <h1>My Recommender<span></span></h1>
          <h2>Personalized Activity Recommendation based on Negative Emotions Classification among Middle-Class of Sri Lanka
          </h2>
          <br><br><U><h6><a href="#"><u>Demo link here</u></a></h6></U>
        </div>
      </div>

      <div class="row gy-4 mt-5 justify-content-center" data-aos="zoom-in" data-aos-delay="250">
        <div class="col-xl-2 col-md-4">
          <div class="icon-box">

            <img src="assets/img/security.png" height="30px" width="50px" class="img-fluid" alt="">

            <h3><a href="">Text Analysis</a></h3>
            <p class="small text-white-50 mb-4">
            </p>
          </div>
        </div>
        <div class="col-xl-2 col-md-4">
          <div class="icon-box">

            <img src="assets/img/deadline.png" height="30px" width="50px" class="img-fluid" alt="">

            <h3><a href="">Visual Analysis</a></h3>
            <p class="small text-white-50 mb-4">

            </p>
          </div>
        </div>
        <div class="col-xl-2 col-md-4">
          <div class="icon-box">

            <img src="assets/img/diagram.png" height="30px" width="50px" class="img-fluid" alt="">

            <h3><a href="">Audio Analysis
              </a></h3>
            <p class="small text-white-50 mb-4">

            </p>
          </div>
        </div>
        <div class="col-xl-3 col-md-4">
          <div class="icon-box">

            <img src="assets/img/time-management.png" height="30px" width="50px" class="img-fluid" alt="">

            <h3><a href="">Activity Recommendation</a></h3>
            <p class="small text-white-50 mb-4"></p>
          </div>
        </div>
        
      </div>

    </div>
  </section><!-- End Hero -->

  <main id="main">

    <!-- ======= About Section ======= -->
    <section id="about" class="about">
      <div class="container" data-aos="fade-up">

        <div class="row">
          <div class="col-lg-6 order-1 order-lg-2" data-aos="fade-left" data-aos-delay="100">
            <img src="assets/img/sec2.jpeg" class="img-fluid" alt="">
          </div>
          <div class="col-lg-6 pt-4 pt-lg-0 order-2 order-lg-1 content" data-aos="fade-right" data-aos-delay="100">
            <!-- <h3>Voluptatem dignissimos provident quasi corporis voluptates sit assumenda.</h3>
            <p class="fst-italic">
              Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore
              magna aliqua.
            </p>
            <ul>
              <li><i class="ri-check-double-line"></i> Ullamco laboris nisi ut aliquip ex ea commodo consequat.</li>
              <li><i class="ri-check-double-line"></i> Duis aute irure dolor in reprehenderit in voluptate velit.</li>
              <li><i class="ri-check-double-line"></i> Ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate trideta storacalaperda mastiro dolore eu fugiat nulla pariatur.</li>
            </ul> -->
            <p>
              Machine learning has become integral in powering various aspects of our modern technological landscape. However, the rise of sophisticated adversaries poses a significant threat to the integrity of these models. Adversarial attacks, carefully crafted perturbations that can deceive machine learning systems, can compromise the reliability and trustworthiness of these models, leading to potentially catastrophic consequences. To safeguard the robustness and security of machine learning models, our testing tool serves as a crucial defense mechanism, meticulously assessing the resilience of these models against a spectrum of adversarial attacks. By providing comprehensive and dynamic testing capabilities, we empower organizations to fortify their AI systems, ensuring their effectiveness and trustworthiness in the face of evolving threats, thereby fostering a secure and resilient AI ecosystem for the future.   
            </p>
          </div>
        </div>

      </div>
    </section><!-- End About Section -->

    <!-- ======= Clients Section ======= -->
    <section id="clients" class="clients">
      <div class="container" data-aos="zoom-in">

        <div class="clients-slider swiper">
          <div class="swiper-wrapper align-items-center">
            <!--div class="swiper-slide"><img src="assets/img/Flutter.png" class="img-fluid" alt=""></div-->
            <div class="swiper-slide"><img src="assets/img/google colab.png" class="img-fluid" alt=""></div>
            <div class="swiper-slide"><img src="assets/img/streamlit.png" class="img-fluid" alt=""></div>
            <div class="swiper-slide"><img src="assets/img/gitlab.png" class="img-fluid" alt=""></div>
            <div class="swiper-slide"><img src="assets/img/python.png" class="img-fluid" alt=""></div>
            <div class="swiper-slide"><img src="assets/img/VS Code.png" class="img-fluid" alt=""></div>
            <div class="swiper-slide"><img src="assets/img/jupitor.png" class="img-fluid" alt=""></div>
            <div class="swiper-slide"><img src="assets/img/tensorflow.png" class="img-fluid" alt=""></div>
            <div class="swiper-slide"><img src="assets/img/anaconda.png" class="img-fluid" alt=""></div>
            <div class="swiper-slide"><img src="assets/img/keras.png" class="img-fluid" alt=""></div>
          </div>
          <div class="swiper-pagination"></div>
        </div>

      </div>
    </section><!-- End Clients Section -->

    <!-- ======= Features Section ======= -->
    <section id="features" class="features">
      <div class="container" data-aos="fade-up">

        <div class="row">
          <div class="image col-lg-6" style='background-image: url("assets/img/bg1.jpg");' data-aos="fade-right"></div>
          <div class="col-lg-6" data-aos="fade-left" data-aos-delay="100">
            <div class="icon-box mt-5 mt-lg-0" data-aos="zoom-in" data-aos-delay="150">
              <i class="bx bx-receipt"></i>
              <h4>Test Resilience Against Adversarial Attack</h4>
              <p>Aims to provide a platform that enables developers to test their models against adversarial attacks.
              </p>
            </div>
            <div class="icon-box mt-5" data-aos="zoom-in" data-aos-delay="150">
              <i class="bx bx-cube-alt"></i>
              <h4>Tested Defenses</h4>
              <p>Suggests defences that have been tested against the attacks to help secure machine learning models 
              </p>
            </div>
            <div class="icon-box mt-5" data-aos="zoom-in" data-aos-delay="150">
              <i class="bx bx-images"></i>
              <h4>Simple and Efficient</h4>
              <p>Simple and user friendly interface making it easy for users to test their models efficiently.</p>
            </div>
       
          </div>
        </div>

      </div>
    </section><!-- End Features Section -->

    
    <!-- ======= Document Section ======= -->
    <section id="documents" class="services">
      <div class="container" data-aos="fade-up">

        <div class="section-title">
          <h2>Documents</h2>
          <p>Project Documents</p>
        </div>

        <div class="row">
          <div class="col-lg-4 col-md-6 d-flex align-items-stretch" data-aos="zoom-in" data-aos-delay="100">
            <div class="icon-box">
              <div class="icon"><img src="assets/img/objective.png" class="img-fluid" alt=""></i></div>
              <h4>Project Charter</h4>
              <p>The document gives the information regarding the statement of scope, objectives overview, an outline of scope, an approximate schedule and people who are participating in a project</p>
              <br>
              <a href="https://drive.google.com/file/d/1ugNuxJPYkkBiZtD_gHEBffoiTIT5PkTv/view?usp=drive_link" download>
              <button type="button" class="btn btn-outline-primary btn-sm btn-block bi bi-file-earmark-arrow-down-fill"> Download

              </button>
              </a>              
            </div>
          </div>

          <div class="col-lg-4 col-md-6 d-flex align-items-stretch" data-aos="zoom-in" data-aos-delay="200">
            <div class="icon-box">
              <div class="icon"><img src="assets/img/idea.png" class="img-fluid" alt=""></i></div>
              <h4>Project Proposal</h4>
              <p>The document contains details like goals, objectives, important dates, milestones and requirements needed to start and complete the project.</p>
              <br>
              <a href="https://drive.google.com/file/d/169UFV87gPWsT__FaUsh-VL79l-yU0tkl/view?usp=drive_link" download>
              <button type="button" class="btn btn-outline-primary btn-sm btn-block bi bi-file-earmark-arrow-down-fill"> Download

              </button>
              </a>              
            </div>
          </div>

          

          <div class="col-lg-4 col-md-6 d-flex align-items-stretch" data-aos="zoom-in" data-aos-delay="300">
            <div class="icon-box">
              <div class="icon"><img src="assets/img/researchPaper.png" class="img-fluid" alt=""></i></div>
              <h4>Research Paper</h4>
              <p>A research paper contains writing that provides Literature review, Research methodology, analysis, interpretation, and argument based on in-depth independent research</p>
              <br>
              <a href="https://drive.google.com/file/d/1dWRtz9fDRufPDtbIhRSyHvQt7tdu6LD9/view?usp=drive_link" download>
              <button type="button" class="btn btn-outline-primary btn-sm btn-block bi bi-file-earmark-arrow-down-fill"> Download

              </button>
              </a>              
            </div>
          </div>
        </div>
        <br>
        <div class="row">
          <div class="col-lg-4 col-md-6 d-flex align-items-stretch" data-aos="zoom-in" data-aos-delay="400">
            <div class="icon-box">
              <div class="icon"><img src="assets/img/thesis.png" class="img-fluid" alt=""></i></div>
              <h4>Final Thesis</h4>
              <p>The document contains the Proposed solution to the research question, which was finalized after completing the research</p>
              <br>
              <a href="https://drive.google.com/file/d/17Md00Zu0PbSq63_KKueVsAxxcsA7Gftd/view?usp=drive_link" download>
              <button type="button" class="btn btn-outline-primary btn-sm btn-block bi bi-file-earmark-arrow-down-fill"> Download

              </button>
              </a>              
            </div>
          </div>

          <div class="col-lg-4 col-md-6 d-flex align-items-stretch" data-aos="zoom-in" data-aos-delay="100">
            <div class="icon-box">
              <div class="icon"><img src="assets/img/clipboard.png" class="img-fluid" alt=""></i></div>
              <h4>Status Document</h4>
              <p>The document describes the progress of the project within the specific time period and compares it against the project plan checklist</p>
              <br>
              <a href="https://drive.google.com/file/d/1B-Pb_5_ydHQ58XOPlVovriyCEuoxxb-_/view?usp=drive_link" download>
              <button type="button" class="btn btn-outline-primary btn-sm btn-block bi bi-file-earmark-arrow-down-fill"> Download

              </button>
              </a>              
            </div>
          </div>

          <div class="col-lg-4 col-md-6 d-flex align-items-stretch" data-aos="zoom-in" data-aos-delay="100">
            <div class="icon-box">
              <div class="icon"><img src="assets/img/diary.png" class="img-fluid" alt=""></i></div>
              <h4>Research logbook</h4>
              <p>The document describes the progress of the project within the specific time period and compares it against the project plan checklist</p>
              <br>
              <a href="https://drive.google.com/file/d/16aGKQYUlOgA8ZuGy8Zo8uxIYGcVSXesT/view?usp=share_link" download>
              <button type="button" class="btn btn-outline-primary btn-sm btn-block bi bi-file-earmark-arrow-down-fill"> Download

              </button>
              </a>              
            </div>
          </div>

        

        </div>

      </div>
    </section><!-- End Document Section -->


    <!-- ======= Presentation Section ======= -->
    <section id="presentations" class="services">
      <div class="container" data-aos="fade-up">

        <div class="section-title">
          <h2>Presentations</h2>
          <p>Project Presentations</p>
        </div>

        <div class="row">
          <div class="col" data-aos="zoom-in" data-aos-delay="100">
            <div class="icon-box">
              <div class="icon"><img src="assets/img/innovation.png" class="img-fluid" alt=""></i></div>
              <h4>Proposal presentation</h4>
              <p>Initial Presentation with Overview of Research Problem</p>
              <br>
              <a href="https://docs.google.com/presentation/d/1mDOWBSzUb9d6shL1m85Am9fRazraYxJx/edit?usp=drive_link&ouid=104150977066758876006&rtpof=true&sd=true" download>
              <button type="button" class="btn btn-outline-primary btn-sm btn-block bi bi-file-earmark-arrow-down-fill"> Download

              </button>
              </a>              
            </div>
          </div>

          <div class="col" data-aos="zoom-in" data-aos-delay="200">
            <div class="icon-box">
              <div class="icon"><img src="assets/img/PP1.png" class="img-fluid" alt=""></i></div>
              <h4>Progress presentation-1</h4>
              <p>50% Project Completion</p>
              <br>
              <a href="https://docs.google.com/presentation/d/144vjZCVCw3puKUcVcp76vG5c1HWedKXH/edit?usp=drive_link&ouid=104150977066758876006&rtpof=true&sd=true" download>
              <button type="button" class="btn btn-outline-primary btn-sm btn-block bi bi-file-earmark-arrow-down-fill"> Download

              </button>
              </a>              
            </div>
          </div>

          

          <div class="col" data-aos="zoom-in" data-aos-delay="300">
            <div class="icon-box">
              <div class="icon"><img src="assets/img/PP2.png" class="img-fluid" alt=""></i></div>
              <h4>Progress presentation-2</h4>
              <p>90% Project Completion</p>
              <br>
              <a href="https://docs.google.com/presentation/d/1YNeohlkUuzJv8KHhUltzvVZs8SRPfiXv/edit?usp=drive_link&ouid=104150977066758876006&rtpof=true&sd=true" download>
              <button type="button" class="btn btn-outline-primary btn-sm btn-block bi bi-file-earmark-arrow-down-fill"> Download

              </button>
              </a>              
            </div>
          </div>

          <div class="col" data-aos="zoom-in" data-aos-delay="400">
            <div class="icon-box">
              <div class="icon"><img src="assets/img/goal.png" class="img-fluid" alt=""></i></div>
              <h4>Final presentation</h4>
              <p>100% Completion with deployed Solution</p>
              <br>
              <a href="https://docs.google.com/presentation/d/1z0EaAPYqsQnM6hzuXNy5Qeg0h6SK0Zvt/edit?usp=drive_link&ouid=104150977066758876006&rtpof=true&sd=true" download>
              <button type="button" class="btn btn-outline-primary btn-sm btn-block bi bi-file-earmark-arrow-down-fill"> Download

              </button>
              </a>              
            </div>
          </div>


        </div>
        <br>
       

      </div>
    </section><!-- End Presentation Section -->


    <!-- ======= Start MileStone Section ======= -->
<!-- Section: Timeline -->
<section id  = "milestones" class="services">
  <div class="container" data-aos="fade-up">

    <div class="section-title">
      <h2>Milestones</h2>
      <p>Project Milestones</p>
    </div>

    <div class="container py-5" >
      <div class="main-timeline-4 text-white">
        <div class="timeline-4 left-4">
          <div class="card gradient-custom">
            <div class="card-body p-4">
              <i class="fas fa-brain fa-2x mb-3"></i>
              <h4>Project Proposal</h4>
              <p class="small text-white-50 mb-4">Date Completion - 30th March 2023</p>
              <p>Mark Allocation -  12%</p>
              <h6 class="badge bg-light text-black mb-0">Group</h6>
              <h6 class="badge bg-light text-black mb-0">Induvidual</h6>
            </div>
          </div>
        </div>
        <div class="timeline-4 right-4">
          <div class="card gradient-custom-4">
            <div class="card-body p-4">
              <i class="fas fa-camera fa-2x mb-3"></i>
              <h4>Progress Presentation – 1</h4>
              <p class="small text-white-50 mb-4">Date Completion - 25th May 2023</p>
              <p>Mark Allocation -  15%</p>
              <h6 class="badge bg-light text-black mb-0">Group</h6>
              <h6 class="badge bg-light text-black mb-0">Induvidual</h6>
            </div>
          </div>
        </div>
        <div class="timeline-4 left-4">
          <div class="card gradient-custom">
            <div class="card-body p-4">
              <i class="fas fa-brain fa-2x mb-3"></i>
              <h4>Progress Presentation 2</h4>
              <p class="small text-white-50 mb-4">Date Completion - 5th September 2023</p>
              <p>Mark Allocation -  12%</p>
              <h6 class="badge bg-light text-black mb-0">Group</h6>
              <h6 class="badge bg-light text-black mb-0">Induvidual</h6>
            </div>
          </div>
        </div>
        <div class="timeline-4 right-4">
          <div class="card gradient-custom-4">
            <div class="card-body p-4">
              <i class="fas fa-camera fa-2x mb-3"></i>
              <h4>Final Report</h4>
              <p class="small text-white-50 mb-4">Date Completion - 10th September 2023</p>
              <p>Mark Allocation -  19%</p>
              <h6 class="badge bg-light text-black mb-0">Group</h6>
              <h6 class="badge bg-light text-black mb-0">Induvidual</h6>
            </div>
          </div>
        </div>
        
        <div class="timeline-4 left-4">
          <div class="card gradient-custom">
            <div class="card-body p-4">
              <i class="fas fa-palette fa-2x mb-3"></i>
              <h4>Final Presentation & Viva</h4>
              <p class="small text-white-50 mb-4">Date Completion - 14th November 2022</p>
              <p>Mark Allocation -  20%</p>
              <h6 class="badge bg-light text-black mb-0">Group</h6>
              <h6 class="badge bg-light text-black mb-0">Induvidual</h6>
            </div>
          </div>
        </div>

        <!-- <div class="timeline-4 right-4">
          <div class="card gradient-custom-4">
            <div class="card-body p-4">
              <i class="fas fa-laugh-beam fa-2x mb-3"></i>
              <h4>11:25 AM</h4>
              <p class="small text-white-50 mb-4">Apr 11</p>
              <p>Lorem ipsum dolor sit amet, quo ei simul congue exerci, ad nec admodum perfecto
                mnesarchum, vim ea mazim fierent detracto. Ea quis iuvaret expetendis his, te elit voluptua
                dignissim
                per, habeo iusto primis ea eam.
              </p>
              <h6 class="badge bg-light text-black mb-0">New</h6>
              <h6 class="badge bg-light text-black mb-0">Admin</h6>
            </div>
          </div>
        </div>
        <div class="timeline-4 left-4">
          <div class="card gradient-custom">
            <div class="card-body p-4">
              <i class="fas fa-pizza-slice fa-2x mb-3"></i>
              <h4>12:30 PM</h4>
              <p class="small text-white-50 mb-4">Apr 5</p>
              <p>Lorem ipsum dolor sit amet, quo ei simul congue exerci, ad nec admodum perfecto
                mnesarchum, vim ea mazim fierent detracto. Ea quis iuvaret expetendis his, te elit voluptua
                dignissim
                per, habeo iusto primis ea eam.
              </p>
              <h6 class="badge bg-light text-black mb-0">New</h6>
              <h6 class="badge bg-light text-black mb-0">Admin</h6>
            </div>
          </div>
        </div> -->

      </div>
    </div>

  </div>
</section>  
<!-- Section: Timeline -->

    <!-- ======= End MileStone Section ======= -->


    <!-- ======= Cta Section ======= -->
    <section id="cta" class="cta">
      <div class="container" data-aos="zoom-in">

        <div class="text-center">
          <h3>My Recommender</h3>
          <p>Assisting developers test and secure machine learning models.<br>
            For resilient machine learning models 
        </p>
        
          <a class="cta-btn" href="#">Demo Button</a>
        </div>

      </div>
    </section><!-- End Cta Section -->

    <!-- ======= Portfolio Section ======= -->
    <section id="domain" class="portfolio">
      <div class="container" data-aos="fade-up">

        <div class="section-title">
          <h2>Domain</h2>
          <p>Project Domain</p>
        </div>

        <div class="row" data-aos="fade-up" data-aos-delay="100">
          <div class="col-lg-12 d-flex justify-content-center">
            <ul id="portfolio-flters">
              <!-- <li data-filter="*" class="filter-active">All</li> -->
              <li data-filter=".filter-ls">LITERATURE SURVEY</li>
              <li data-filter=".filter-m">METHODOLOGY</li>
              <li data-filter=".filter-rp">RESEARCH PROBLEM</li>
              <li data-filter=".filter-ro">RESEACRH OBJETIVE</li>
              <li data-filter=".filter-rg">RESEARCH GAP</li>
              <li data-filter=".filter-t">TECHNOLOGIES</li>
            </ul>
          </div>
        </div>

        <div class="row portfolio-container" data-aos="fade-up" data-aos-delay="200">

          <div class="portfolio-item filter-ls">

            <div class="row">
              <div class="col-sm-12">
                <div class="card">
                  <div class="card-body">
                    <h5 class="card-title">LITERATURE SURVEY</h5>
                    <br>
                    <!-- <p class="card-text">With supporting text below as a natural lead-in to additional content.</p> -->
                    <p>

Studies in the field of machine learning attacks have primarily focused on various types of attacks, including evasion attacks, backdoor attacks, and model theft. Evasion attacks involve introducing perturbations to input data during test time, causing models to misclassify and fail. These attacks can be categorized into black box and white box attacks, with research extending to specific applications such as biometric authentication and malware detection systems. Defense mechanisms against evasion attacks include adversarial training and input data regularization. In response to the vulnerabilities of deep neural networks, researchers have proposed various techniques such as first-order techniques within the saddle point formulation and the use of the Projected Gradient Descent (PGD) algorithm for generating strong adversarial attacks
<br> <br>
The study of machine learning attacks has investigated a range of techniques, including the Projected Gradient Descent (PGD) algorithm, which systematically manipulates input data to produce strong adversarial attacks, revealing the fragility of deep learning systems. The Boundary Attack, on the other hand, moves through the space between adversarial and non-adversarial examples, reducing the difference between the two through iterative rejection sampling. Furthermore, the Carlini and Wagner attack has been used across different domains, utilizing various distance metrics such as L0, L2, and L∞ to generate potent adversarial examples. These attacks underscore the pressing need for robust defense mechanisms, prompting researchers to explore strategies such as adversarial training, regularization of input data, and the development of novel paradigms like the Boundary-Optimized Shotz-Bosh (BOSH) algorithm. Additionally, the integration of counterfactual explanations and the use of auto-encoders with noise injection have emerged as promising methods to fortify machine learning models against adversarial attacks.
<br><br>
Furthermore, studies have introduced novel concepts like the "Adversarial Mask," which utilizes gradient-based optimization to create imperceptible adversarial masks capable of fooling facial recognition systems. The Carlini and Wagner attack, employing various distance metrics, has been utilized for attacking neural network models in both image and audio domains, highlighting the need for robust defense mechanisms. Additionally, the development of techniques like Boundary Attack and the Boundary-Optimized Shotz-Bosh (BOSH) algorithm has contributed to the advancement of Decision-Based Attacks (DBAs). Furthermore, research has explored defense strategies such as counterfactual explanations and the use of auto-encoders with noise injection to enhance model resilience against adversarial attacks.
                    </p>
                    <!-- <a href="#" class="btn btn-primary">Go somewhere</a> -->
                  </div>
                </div>
              </div>
            </div>  
          </div>

          <div class="portfolio-item filter-m">

            <div class="row">
              <div class="col-sm-12">
                <div class="card">
                  <div class="card-body">
                    <h5 class="card-title">METHODOLOGY</h5>
                    <br>
                    <!-- <p class="card-text">With supporting text below as a natural lead-in to additional content.</p> -->

                    <p>
 The research unfolds in several stages. Initially, a churn prediction model is 
constructed utilizing a telecom churn dataset. To address data imbalance and prevent 
overfitting, SMOTE and random under-sampling techniques are employed. The 
development of this churn prediction model is carried out using a Convolutional 
Neural Network.

                      <br><br>
                      Following that, three distinct attack strategies are devised: 
<ol>
<li>Projected Gradient Descent</li>
<li>Boundary Attack</li>
<li>Carlini and Wagner.</li>
</ol>
                      <br><br>
                      These are three attacks belonging to the category of Evasion. These 
attacks are leveraged to create adversarial examples that introduce distortions, 
subsequently causing misclassification by the model. These attacks are applied 
during the training phase of the machine learning model lifecycle. The research 
closely monitors the changes in model accuracy resulting from these attacks to 
ensure whether the model is vulnerable. 
                      <br><br>
                      In the final phase, a testing system is crafted, allowing users to upload their own 
models and datasets. They can then select and apply a specific attack, while closely 
observing the ensuing accuracy changes. In cases where the model is found to be 
vulnerable, the system will provide recommendations for implementing defense 
mechanisms to bolster the model's resilience against these attacks. 
                      

                    </p>
                    Recommendations are provided according to the attack the model is vulnerable to,
                    <ol>
                      <li> Project Gradient Decent- Adversarial Training, Stochastic Distillation</li>
                      <li> Boundary Attack- Adversarial Training, Ensemble Method</li>
                      <li> Carlini and Wagner- Adversarial Training, Defensive distillatio</li>
                    </ol>
                    <!-- <a href="#" class="btn btn-primary">Go somewhere</a> -->
                  </div>
                </div>
              </div>
            </div>  
          </div>


          <div class="portfolio-item filter-rp">

            <div class="row">
              <div class="col-sm-12">
                <div class="card">
                  <div class="card-body">
                    <h5 class="card-title">RESEARCH PROBLEM</h5>
                    <br>
                    <!-- <p class="card-text">With supporting text below as a natural lead-in to additional content.</p> -->

                    <p>
                      One of the most significant topics being researched at the moment is research on 
adversarial attacks. Adversarial attacks concentrate on slightly perturbing machine 
learning models in order to deceive the models into making false predictions. Since 
most sectors employ tabular data, attacking models trained on this form of data has 
garnered greater attention among these attacks on various model types and sectors. 
Additionally, as PGD, Carlini, and boundary attacks on tabular data are the three main 
attack types that have garnered concern in this period, they receive greater attention in 
accordance with our emphasis point, which will handle these three main attacks. PGD 
attack is a gradient based attack that iteratively perturbate the input data in multiple 
steps while constraining the perturbations within a specific range. The Boundary attack
crosses decision boundaries in order to provide adversarial cases that result in
misclassification. The Carlini attack uses an optimization-based methodology to
produce the fewest possible model-fooling perturbations Investigating the 
9
vulnerability of machine learning models trained on tabular data to these attacks and 
suggesting practical security strategies are the objectives of this research problem.

                      <br><br>
                      Identifying the hyper parameters of the aforementioned attack types and their 
                      respective performances on a tabular dataset trained model is one of the main focuses 
                      of this research. Through adjusting these hyperparameters and analyzing the resulting 
                      effects on our model, we may devise a strong defense mechanism or method to mitigate 
                      the model's vulnerability to such attacks.
                      
                      <br><br>
                      This research will also focus on a particular sector-based robust model against 
adversarial attacks, which is another important issue. Since adversarial attacks affect 
different sectors in different ways, sector-based adversarial attack testing is also an 
important topic of research. Therefore, developing models that are resistant to these 
particular industries is essential. In conclusion, since churn is one of the most crucial 
models that are used in many organizations to retain customers, it is significant that no 
study has been done to forecast how sensitive are churn models to these assaults trained 
on tabular data. Therefore, if the model is fragile, a tiny quantity of disturbance might 
have a large-scale impact and result in a significant loss for the company
                      <br><br>
                      To conclude, the research challenge in this study is how to create a strong churn 
                      customer prediction model that is robust to boundary, PGD, and Carlini attacks that is 
                      trained using tabular data. Given that the current defense mechanisms and robust 
                      methodologies have only been evaluated on models trained on image datasets, it is 
                      unclear how they will perform when applied to a tabular dataset that differs from 
                      pictures in terms of features. As a result, finding potential robustness approaches for 
                      tabular data is important and receiving a lot of attention right now.
                    </p>
                    
                    <!-- <a href="#" class="btn btn-primary">Go somewhere</a> -->
                  </div>
                </div>
              </div>
            </div>  
          </div>


          <div class="portfolio-item filter-ro">

            <div class="row">
              <div class="col-sm-12">
                <div class="card">
                  <div class="card-body">
                    <h4>Main Objective</h4>
                    <!-- <p class="card-text">With supporting text below as a natural lead-in to additional content.</p> -->
                    <p>To asses the effect of various adversarial attacks on a churn prediction model and attempt to increase model strength against the given attacks.
                    </p>
                    
                    <br>
                    <h6>Sub Objective 1</h6>
                    <p>
                      Build a neural network model with high accuracy for a customer churn dataset.
                    </p>
                    
                    <br>
                    <h6>Sub Objective 2</h6>
                    <p>
                      Apply the PGD attacks against the model and identify accuracy changes. Test Defences.
                    
                    <br>
                    <h6>Sub Objective 3</h6>
                    <p>
                      Apply the Boundary attacks against the model and identify accuracy changes. Test Defences.
                      
    
                     </p>
                    
                    <br>
                    <h6>Sub Objective 4</h6>
                    <p>
                      Apply the Carlini attacks against the model and identify accuracy changes. Test Defences.
                    <h6>Sub Objective 5</h6>
                      <p>
Build a testing tool that allows developers to upload their model and dataset, and evealuate model's resilience against the selected attacks.                        
      
                       </p>
                    <!-- <a href="#" class="btn btn-primary">Go somewhere</a> -->
                  </div>
                </div>
              </div>
            </div>  
          </div>

          <div class="portfolio-item filter-rg">

            <div class="row">
              <div class="col-sm-12">
                <div class="card">
                  <div class="card-body">
                    <!-- <h5 class="card-title">Special title treatment</h5> -->
                    <!-- <p class="card-text">With supporting text below as a natural lead-in to additional content.</p> -->
                    <h4>RESEARCH GAP</h4>
                    <p>
                      Considering the existing researches with related to 
                      adversarial attacks most of the researchers are biased towards 
                      testing these attacks against models trained with image 
                      datasets. As mentioned in most of the existing researchers 
                      there is ample space to do more examination on how these 
                      adversarial attacks react to domain specific areas and how can 
                      we mitigate such attacks. As of now, no studies have been 
                      conducted on how these adversaries act in a customer churn 
                      specified domain and its related outcome. Thereby authors of 
                      this study closely examine how these adversarial attacks 
                      could be applied to structured data and then move into 
                      applying them in a churn prediction model to asses the 
                      vulnerability of those models built using a neural network 
                      since most of the current researchers are also focusing on 
                      building churn models using neural networks rather than a
                      non-neural network. Accordingly, the central focus of this
                      research is to apply PGD, C&W and adaptation of the 
                      Boundary Adversarial Attack specifically modified for 
                      tabular datasets on a churn prediction model which is a very 
                      sensitive business application that carries a lot of business 
                      value toan organization. It also emphasizes attacking models 
                      trained with tabular imbalanced data since it is a significantly
                      understudied area. The proposed research will examine how 
                      the model’s accuracies will differ before and after applying 
                      these attacks and would intend to evaluate defense
                      mechanisms against the proposed attack types to provide 
                      evident defenses that contributed to make the model robust 
                      against the tested attack types.                    </p>
                    <!-- <a href="#" class="btn btn-primary">Go somewhere</a> -->
                  </div>
                </div>
              </div>
            </div>  
          </div>


          <div class="portfolio-item filter-t">

            <div class = "row">
              <div class = "col">
                <div class="bg-image hover-zoom">
                  <img src="assets/img/gitlab.png" class="w-100" />
                </div>
              </div>
              <div class = "col">
                <div class="bg-image hover-zoom">
                  <img src="assets/img/google colab.png" class="w-100" />
                </div>
              </div>
              <div class = "col">
                <div class="bg-image hover-zoom">
                  <img src="assets/img/python.png" class="w-100" />
                </div>
              </div>
              <div class = "col">
                <div class="bg-image hover-zoom">
                  <img src="assets/img/VS Code.png" class="w-100" />
                </div>
              </div>
             

            </div>
            <div class = "row">
              <div class = "col">
                <div class="bg-image hover-zoom">
                  <img src="assets/img/jupitor.png" class="w-100" />
                </div>
              </div>
              <div class = "col">
                <div class="bg-image hover-zoom">
                  <img src="assets/img/tensorflow.png" class="w-100" />
                </div>
              </div>
              <div class = "col">
                <div class="bg-image hover-zoom">
                  <img src="assets/img/anaconda.png" class="w-100" />
                </div>
              </div>
              <div class = "col">
                <div class="bg-image hover-zoom">
                  <img src="assets/img/streamlit.png" class="w-100" />
                </div>
              </div>
              

            </div>
            
            <div class="portfolio-wrap">
              
             

              <div class="portfolio-info">
                <!-- <h4>Web 3</h4>
                <p>Web</p> -->
                <div class="portfolio-links">
                  <a href="assets/img/google colab.png" data-gallery="portfolioGallery" class="portfolio-lightbox" title="Web 3"><i class="bx bx-plus"></i></a>
                  <a href="portfolio-details.html" title="More Details"><i class="bx bx-link"></i></a>
                </div>
              </div>
            </div>
          </div>

        </div>

      </div>
    </section><!-- End Portfolio Section -->

    


    <!-- ======= Team Section ======= -->
    <section id="team" class="team">
      <div class="container" data-aos="fade-up">

        <div class="section-title">
          <h2>Team</h2>
          <p>Meet the Team</p>
        </div>



        <div class="row">

          <div class="col-md-15 col-sm-3 d-flex align-items-stretch">
            <div class="member" data-aos="fade-up" data-aos-delay="100">
              <div class="member-img">
                <img src="assets/img/l.jpg" class="img-fluid" alt="">
                <div class="social">
                  <a href="lakmal.r@sliit.lk"><i class="bi bi-twitter"></i></a>
                  <a href="lakmal.r@sliit.lk"><i class="bi bi-facebook"></i></a>
                  <a href="lakmal.r@sliit.lk"><i class="bi bi-envelope-fill"></i></a>
                  <a href="https://www.linkedin.com/in/lakmalr/"><i class="bi bi-linkedin"></i></a>
                </div>
              </div>
              <div class="member-info">
                <h4>Dr. Lakmini Abeywardana</h4>
                <h6>Supervisor</h6>
                <span>Senior Lecturer, Sri Lanka Institute of Information Technology</span>
              </div>
            </div>
          </div>

          <div class="col-md-15 col-sm-3 d-flex align-items-stretch">
            <div class="member" data-aos="fade-up" data-aos-delay="100">
              <div class="member-img">
                <img src="assets/img/sa.jpg" width="100%" class="img-fluid" alt="">
                <div class="social">
                  <a href="chethana.l@sliit.lk"><i class="bi bi-twitter"></i></a>
                  <a href="chethana.l@sliit.lk"><i class="bi bi-facebook"></i></a>
                  <a href="chethana.l@sliit.lk"><i class="bi bi-envelope-fill"></i></a>
                  <a href="https://www.linkedin.com/in/chethana-liyanapathirana/"><i class="bi bi-linkedin"></i></a>
                </div>
              </div>
              <div class="member-info">
                <h4>Mr. Samadhi Rathanayake</h4>
                <h6>Co-Supervisor</h6>
                <span>Lecturer, Sri Lanka Institute of Information Technology</span>
              </div>
            </div>
          </div>

 
          <div class="col-md-15 col-sm-3 d-flex align-items-stretch">
            <div class="member" data-aos="fade-up" data-aos-delay="100">
              <div class="member-img">
                <img src="assets/img/z.jpg" class="img-fluid" alt="">
                <div class="social">
                  <a href="amanikaleem1221@gmail.com"><i class="bi bi-twitter"></i></a>
                  <a href="amanikaleem1221@gmail.com"><i class="bi bi-facebook"></i></a>
                  <a href="amanikaleem1221@gmail.com"><i class="bi bi-envelope-fill"></i></a>
                  <a href="amanikaleem1221@gmail.com"><i class="bi bi-linkedin"></i></a>
                </div>
              </div>
              <div class="member-info">
                <h4>Zaidh Shafraz</h4>
                <h6>Researcher</h6>
                <span>Bachelor of Science (Hons) in Information Technology
                  Specializing in Data Science 
                  </span>
                </div>
            </div>
          </div>
          
          <div class="col-md-15 col-sm-3 d-flex align-items-stretch">
            <div class="member" data-aos="fade-up" data-aos-delay="300">
              <div class="member-img">
                <img src="assets/img/h.jpg" width="100%" class="img-fluid" alt="">
                <div class="social">
                  <a href="Hasnaemail.com"><i class="bi bi-twitter"></i></a>
                  <a href="nisajafernando30@gmail.com"><i class="bi bi-facebook"></i></a>
                  <a href="nisajafernando30@gmail.com"><i class="bi bi-envelope-fill"></i></a>
                  <a href="https://www.linkedin.com/in/nisaja-fernando-a59796197/"><i class="bi bi-linkedin"></i></a>
                </div>
              </div>
              <div class="member-info">
                <h4>Hiroshan I.</h4>
                <h6>Researcher</h6>
                <span>Bachelor of Science (Hons) in Information Technology
                  Specializing in Data Science 
                  </span>
              </div>
            </div>
          </div>
          <div class="col-md-15 col-sm-3 d-flex align-items-stretch">
            <div class="member" data-aos="fade-up" data-aos-delay="100">
              <div class="member-img">
                <img src="assets/img/c.jpg" class="img-fluid" alt="">
                <div class="social">
                  <a href="aaishamauroof99@gmail.com"><i class="bi bi-twitter"></i></a>
                  <a href="aaishamauroof99@gmail.com"><i class="bi bi-facebook"></i></a>
                  <a href="aaishamauroof99@gmail.com"><i class="bi bi-envelope-fill"></i></a>
                  <a href="https://www.linkedin.com/in/aaisha-mauroof-840167245/"><i class="bi bi-linkedin"></i></a>
                </div>
              </div>
              <div class="member-info">
                <h4>Chanul Vithanage</h4>
                <h6>Researcher</h6>
                <span>Bachelor of Science (Hons) in Information Technology
                  Specializing in Data Science 
                  </span>
              </div>
            </div>
          </div>

          

          <div class="col-md-15 col-sm-3 d-flex align-items-stretch">
            <div class="member" data-aos="fade-up" data-aos-delay="300">
              <div class="member-img">
                <img src="assets/img/s.JPG" class="img-fluid" alt="">
                <div class="social">
                  <a href="Hasnaemail.com"><i class="bi bi-twitter"></i></a>
                  <a href="nisajafernando30@gmail.com"><i class="bi bi-facebook"></i></a>
                  <a href="nisajafernando30@gmail.com"><i class="bi bi-envelope-fill"></i></a>
                  <a href="https://www.linkedin.com/in/nisaja-fernando-a59796197/"><i class="bi bi-linkedin"></i></a>
                </div>
              </div>
              <div class="member-info">
                <h4>Shifan M.R.M.</h4>
                <h6>Researcher</h6>
                <span>Bachelor of Science (Hons) in Information Technology
                  Specializing in Data Science 
                  </span>
              </div>
            </div>
          </div>

         
        </div>

      </div>
    </section><!-- End Team Section -->




   


    <!-- ======= Contact Section ======= -->
    <section id="contact" class="contact">
      <div class="container" data-aos="fade-up">

        <div class="section-title">
          <h2>Contact</h2>
          <p>Contact Us</p>
        </div>

    

        <div class="row mt-5">

          <div class="col-lg-4">
            <div class="info">
              <div class="address">
                <i class="bi bi-geo-alt"></i>
                <h4>Location:</h4>
                <p>A108 Rajarata Street, Sri Lanka</p>
              </div>

              <div class="email">
                <i class="bi bi-envelope"></i>
                <h4>Email:</h4>
                <p>ravnlanka@gmal.com</p>
              </div>

              <div class="phone">
                <i class="bi bi-phone"></i>
                <h4>Call:</h4>
                <p>081 - 2219845</p>
              </div>

            </div>

          </div>

          <div class="col-lg-8 mt-5 mt-lg-0">

            <form action="forms/contact.php" method="post" role="form" class="php-email-form">
              <div class="row">
                <div class="col-md-6 form-group">
                  <input type="text" name="name" class="form-control" id="name" placeholder="Your Name" required>
                </div>
                <div class="col-md-6 form-group mt-3 mt-md-0">
                  <input type="email" class="form-control" name="email" id="email" placeholder="Your Email" required>
                </div>
              </div>
              <div class="form-group mt-3">
                <input type="text" class="form-control" name="subject" id="subject" placeholder="Subject" required>
              </div>
              <div class="form-group mt-3">
                <textarea class="form-control" name="message" rows="5" placeholder="Message" required></textarea>
              </div>
              <div class="my-3">
                <div class="loading">Loading</div>
                <div class="error-message"></div>
                <div class="sent-message">Your message has been sent. Thank you!</div>
              </div>
              <div class="text-center"><button type="submit">Send Message</button></div>
            </form>

          </div>

        </div>

      </div>
    </section><!-- End Contact Section -->

  </main><!-- End #main -->

  <!-- ======= Footer ======= -->
  <footer id="footer">
    <div class="footer-top">
      <div class="container">
        <div class="row">

          <div class="col-lg-3 col-md-6">
            <div class="footer-info">
              <!-- <h3>Gp<span>.</span></h3> -->
              <p>
                4th Year Research Project<br>
                Sri Lanka Institute of Information Technology<br><br>
                <strong>Phone:</strong> +1 5589 55488 55<br>
                <strong>Email:</strong> info@example.com<br>
              </p>
              <div class="social-links mt-3">
                <a href="#" class="twitter"><i class="bx bxl-twitter"></i></a>
                <a href="#" class="facebook"><i class="bx bxl-facebook"></i></a>
                <a href="#" class="instagram"><i class="bx bxl-instagram"></i></a>
                <a href="#" class="google-plus"><i class="bx bxl-skype"></i></a>
                <a href="#" class="linkedin"><i class="bx bxl-linkedin"></i></a>
              </div>
            </div>
          </div>

          <div class="col-lg-2 col-md-6 footer-links">
            <h4>Useful Links</h4>
            <ul>
              <li><i class="bx bx-chevron-right"></i> <a href="#hero">Home</a></li>
              <li><i class="bx bx-chevron-right"></i> <a href="#about">About us</a></li>
              <li><i class="bx bx-chevron-right"></i> <a href="#documents">Documents</a></li>
              <li><i class="bx bx-chevron-right"></i> <a href="#presentations">Presentations</a></li>
              <li><i class="bx bx-chevron-right"></i> <a href="#milestones">Milestones</a></li>
              <li><i class="bx bx-chevron-right"></i> <a href="#domain">Domain</a></li>
              <li><i class="bx bx-chevron-right"></i> <a href="#team">Team</a></li>
            </ul>
          </div>



       

          <!-- <div class="col-lg-4 col-md-6 footer-newsletter">
            <h4>Our Newsletter</h4>
            <p>Tamen quem nulla quae legam multos aute sint culpa legam noster magna</p>
            <form action="" method="post">
              <input type="email" name="email"><input type="submit" value="Subscribe">
            </form>

          </div> -->

        </div>
      </div>
    </div>

    <div class="container">
      <div class="copyright">
        <!-- &copy; Copyright <strong><span>Gp</span></strong>. All Rights Reserved -->
      </div>
      <div class="credits">
        <!-- All the links in the footer should remain intact. -->
        <!-- You can delete the links only if you purchased the pro version. -->
        <!-- Licensing information: https://bootstrapmade.com/license/ -->
        <!-- Purchase the pro version with working PHP/AJAX contact form: https://bootstrapmade.com/gp-free-multipurpose-html-bootstrap-template/ -->
        <!-- Designed by <a href="https://bootstrapmade.com/">BootstrapMade</a> -->
      </div>
    </div>
  </footer><!-- End Footer -->

  <div id="preloader"></div>
  <a href="#" class="back-to-top d-flex align-items-center justify-content-center"><i class="bi bi-arrow-up-short"></i></a>

  <!-- Vendor JS Files -->
  <script src="assets/vendor/purecounter/purecounter_vanilla.js"></script>
  <script src="assets/vendor/aos/aos.js"></script>
  <script src="assets/vendor/bootstrap/js/bootstrap.bundle.min.js"></script>
  <script src="assets/vendor/glightbox/js/glightbox.min.js"></script>
  <script src="assets/vendor/isotope-layout/isotope.pkgd.min.js"></script>
  <script src="assets/vendor/swiper/swiper-bundle.min.js"></script>
  <script src="assets/vendor/php-email-form/validate.js"></script>

  <!-- Template Main JS File -->
  <script src="assets/js/main.js"></script>

</body>

</html>
